#① random.random()
#功能：随机生成一个 [0,1) 的浮点数
import random
number = random.random()
print (number)

#② random.uniform(a,b)
#功能：随机生成一个 [a,b) 的浮点数
number = random.uniform(2,4)
print (number)

#③ random.randint(a,b)
#功能：随机生成一个 [a,b] 的整数
number = random.randint(2,4)
print (number)

#④ random.randrange(a,b,step)
#功能：在生成的<以a为始，每step递增，以b为终>这样的一个整数序列中随机选择一个数
number = random.randrange(2,10,2)
print (number)

#⑤ random.choice(sequence)
#功能：从一个已有的sequence中随机选择一个元素
number = random.choice(range(2,10))
print (number)

number = random.choice('anbegvdje')
print (number)

#⑥ random.sample(sequence,k)
#功能：从某一序列中获取指定长度的片段


a = ['香蕉','苹果','橘子','眼影','眼线']
b = random.sample(a,3)
print (b)
 
#⑦ random.shuffle(列表)
#功能：打乱一个列表的元素顺序
a = ['香蕉','苹果','橘子','眼影','眼线']
random.shuffle(a) # 打乱这个操作不需要重新定义对象，它作用的是对象本身
print(a)